| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
ob::DeviceInfo Class Reference

A class describing device information, representing the name, id, serial number and other basic information of an RGBD camera. More...

`#include <Device.hpp>`

## Public Member Functions
| DeviceInfo (std::unique_ptr< DeviceInfoImpl > impl)
virtual | ~DeviceInfo () noexcept
const char * | name ()
| Get device name. More...
int | pid ()
| Get the pid of the device. More...
int | vid ()
| Get the vid of the device. More...
const char * | uid ()
| Get system assigned uid for distinguishing between different devices. More...
const char * | serialNumber ()
| Get the serial number of the device. More...
const char * | firmwareVersion ()
| Get the version number of the firmware. More...
DEPRECATED const char * | usbType ()
| Get usb connection type (DEPRECATED) More...
const char * | connectionType ()
| Get device connection type. More...
const char * | hardwareVersion ()
| Get the version number of the hardware. More...
const char * | supportedMinSdkVersion ()
| Get the minimum version number of the SDK supported by the device. More...
const char * | asicName ()
| Get chip type name. More...
OBDeviceType | deviceType ()
| Get device type. More...

## Friends
class | Context
class | DeviceList
class | Pipeline

## Detailed Description

A class describing device information, representing the name, id, serial number and other basic information of an RGBD camera.

Definition at line 726 of file Device.hpp.

## Constructor & Destructor Documentation

ob::DeviceInfo::DeviceInfo | ( | std::unique_ptr< DeviceInfoImpl > | impl | ) |

virtual ob::DeviceInfo::~DeviceInfo | ( |  | ) |
| virtual noexcept

## Member Function Documentation

const char* ob::DeviceInfo::name | ( |  | ) |

Get device name.

Returns
  const char * returns the device name

int ob::DeviceInfo::pid | ( |  | ) |

Get the pid of the device.

Returns
  int returns the pid of the device

int ob::DeviceInfo::vid | ( |  | ) |

Get the vid of the device.

Returns
  int returns the vid of the device

const char* ob::DeviceInfo::uid | ( |  | ) |

Get system assigned uid for distinguishing between different devices.

Returns
  const char * returns the uid of the device

const char* ob::DeviceInfo::serialNumber | ( |  | ) |

Get the serial number of the device.

Returns
  const char * returns the serial number of the device

const char* ob::DeviceInfo::firmwareVersion | ( |  | ) |

Get the version number of the firmware.

Returns
  const char* returns the version number of the firmware

DEPRECATED const char* ob::DeviceInfo::usbType | ( |  | ) |

Get usb connection type (DEPRECATED)

Returns
  const char* returns usb connection type

const char* ob::DeviceInfo::connectionType | ( |  | ) |

Get device connection type.

Returns
  const char* returns connection type

const char* ob::DeviceInfo::hardwareVersion | ( |  | ) |

Get the version number of the hardware.

Returns
  const char* returns the version number of the hardware

const char* ob::DeviceInfo::supportedMinSdkVersion | ( |  | ) |

Get the minimum version number of the SDK supported by the device.

Returns
  const char* returns the minimum SDK version number supported by the device

const char* ob::DeviceInfo::asicName | ( |  | ) |

Get chip type name.

Returns
  const char* returns the chip type name

OBDeviceType ob::DeviceInfo::deviceType | ( |  | ) |

Get device type.

Returns
  OBDeviceType returns the device type

## Friends And Related Function Documentation

friend class Context
| friend

Definition at line 889 of file Device.hpp.

friend class DeviceList
| friend

Definition at line 890 of file Device.hpp.

friend class Pipeline
| friend

Definition at line 891 of file Device.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Device.hpp